import { EventHandler } from "src/render/eventhandler";
export declare function hue2rgb(p: number, q: number, t: number): number;
export declare function SRGBToLinear(c: number): number;
export declare function LinearToSRGB(c: number): number;
export declare class Color extends EventHandler {
    private _r;
    private _g;
    private _b;
    private _a;
    get isColor(): boolean;
    constructor(_r?: number, _g?: number, _b?: number, _a?: number);
    get r(): number;
    set r(value: number);
    get g(): number;
    set g(value: number);
    get b(): number;
    set b(value: number);
    get a(): number;
    set a(value: number);
    set(value: any): this;
    setHex(hex: number): this;
    setRGB(r: number, g: number, b: number, a?: number): this;
    clone(): any;
    copy(color: this): this;
    equals(c: this): boolean;
    toArray(array?: number[], offset?: number): number[];
    getHex(): number;
    toJSON(): number;
}
